Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta
Class DiscriminatorMappingInfo

    java.lang.Object
      org.apache.openjpa.jdbc.meta.MappingInfo
          org.apache.openjpa.jdbc.meta.DiscriminatorMappingInfo

All Implemented Interfaces:
  Serializable

    public class DiscriminatorMappingInfo

extends MappingInfo

Information about the mapping from a discriminator to the schema, in raw form. The columns and tables used in mapping info will not be part of the `SchemaGroup` used at runtime. Rather, they will be structs with the relevant pieces of information filled in.

Author:
  Abe White
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`MappingInfo.ForeignKeyDefaults, MappingInfo.TableDefaults`

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`JOIN_FORWARD, JOIN_INVERSE, JOIN_NONE`

Constructor Summary
`DiscriminatorMappingInfo()`

Method Summary
`protected void` | `clear(boolean canFlags)` Clear mapping information.
`void` | `copy(MappingInfo info)` Copy missing info from the instance to this one.
`Column[]` | `getColumns(Discriminator discrim, Column[] tmplates, boolean adapt)` Return the columns set for this discriminator, based on the given templates.
`Index` | `getIndex(Discriminator discrim, Column[] cols, boolean adapt)` Return the index to set on the discriminator columns, or null if none.
`String` | `getValue()` Raw discriminator value string.
`Object` | `getValue(Discriminator discrim, boolean adapt)` Return the discriminator value as an object of the right type.
`void` | `setValue(String value)` Raw discriminator value string.
`void` | `syncWith(Discriminator disc)` Synchronize internal information with the mapping data for the given discriminator.

Methods inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`assertNoForeignKey, assertNoIndex, assertNoJoin, assertNoSchemaComponents, assertNoUnique, assertStrategy, canForeignKey, canIndex, canMerge, canUnique, clear, createColumns, createForeignKey, createIndex, createTable, createTable, createUnique, getColumnIO, getColumns, getColumns, getColumns, getForeignKey, getIndex, getJoinDirection, getStrategy, getUnique, hasSchemaComponents, isImplicitRelation, mergeColumn, setCanForeignKey, setCanIndex, setCanUnique, setColumnIO, setColumns, setForeignKey, setImplicitRelation, setIndex, setJoinDirection, setStrategy, setUnique, syncColumn, syncColumns, syncForeignKey, syncIndex, syncUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscriminatorMappingInfo

    public DiscriminatorMappingInfo()

Method Detail

### getValue

    public String getValue()

  Raw discriminator value string.

### setValue

    public void setValue(String value)

  Raw discriminator value string.

### getValue

    public Object getValue(Discriminator discrim,
                           boolean adapt)

  Return the discriminator value as an object of the right type.

### getColumns

    public Column[] getColumns(Discriminator discrim,
                               Column[] tmplates,
                               boolean adapt)

  Return the columns set for this discriminator, based on the given templates.

### getIndex

    public Index getIndex(Discriminator discrim,
                          Column[] cols,
                          boolean adapt)

  Return the index to set on the discriminator columns, or null if none.

### syncWith

    public void syncWith(Discriminator disc)

  Synchronize internal information with the mapping data for the given discriminator.

### clear

    protected void clear(boolean canFlags)

  Description copied from class: `MappingInfo`
  Clear mapping information.

  Overrides:
    `clear` in class `MappingInfo`
  Parameters:
    `canFlags` - whether to clear information about whether we can place indexed, foreign keys, etc on this mapping

### copy

    public void copy(MappingInfo info)

  Description copied from class: `MappingInfo`
  Copy missing info from the instance to this one.

  Overrides:
    `copy` in class `MappingInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.